#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1
%define upname	kirigami2

Name:		kirigami
Version: 5.42.0
Release: %mkrel %{rel}
Summary:	A QtQuick based components set
License:	LGPLv2
Group:		Graphical desktop/KDE
URL:		https://techbase.kde.org/Kirigami
Source0:	https://download.kde.org/stable/frameworks/5.41/%{upname}-%{version}.tar.xz
# Kf5 BuildRequires
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Declarative)
BuildRequires:	cmake(KF5Plasma)
# Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	qtquickcontrols5
Requires:	qtquickcontrols25
Provides:	%{upname} = %{version}-%{release}

%description
Kirigami is KDE’s lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f libkirigami2plugin_qt.lang
%doc README.md
%license LICENSE*
%{_kf5_qmldir}/org/kde/kirigami.2/

#--------------------------------------------------------------------

%define kirigami2_major 5
%define libkirigami2    %mklibname kf5kirigami2_ %{kirigami2_major}

%package -n	%{libkirigami2}
Summary:	Runtime library for %{name}
Group:		System/Libraries
Requires:	%{upname} = %{version}-%{release}

%description -n %{libkirigami2}
Runtime library for %{name}.

%files -n %{libkirigami2}
%{_kf5_libdir}/libKF5Kirigami2.so.%{kirigami2_major}{,.*}

#--------------------------------------------------------------------

%define libkirigami2_dev %mklibname kf5kirigami2 -d

%package -n	%{libkirigami2_dev}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libkirigami2} = %{version}-%{release}
Provides:	%{upname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 5.38.0-2

%description -n	%{libkirigami2_dev}
This package contains header files needed if you wish to build
applications based on %{name}.

%files -n %{libkirigami2_dev}
%{_kf5_includedir}/Kirigami2/
%{_kf5_libdir}/libKF5Kirigami2.so
%{_kf5_libdir}/cmake/KF5Kirigami2/
%{_kf5_mkspecsdir}/qt_Kirigami2.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %{upname}-%{version}

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang_kf5 libkirigami2plugin_qt


%changelog
* Thu Feb 01 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1198494
- New version 5.42.0

* Tue Sep 27 2016 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 1057113
- new version: 1.1.0

* Sun Sep 11 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1051474
- initial package kirigami

